document_id
stringlengths
8
12
document
stringlengths
50
3.21k
split
stringclasses
1 value
d_bash_4900
--- +++ @@ -1,6 +1,6 @@ #!/bin/sh -FILES="{mkdistro.sh,README,MANIFEST,Makefile,t,prd-perl6.pl,P6C}" +FILES="{mkdistro.sh,README,MANIFEST,Makefile,t,prd-perl6.pl,perl6,P6C}" find . -name '*~' -print | xargs rm 2>/dev/null eval "tar czvf grammar.tgz $FILES"
bash
d_bash_4901
--- +++ @@ -25,8 +25,11 @@ cp doc/extcore.txt ${TARGET}/doc cp doc/tutorial/tutorial.* ${TARGET}/doc cp -r doc/tutorial/code ${TARGET}/doc -rm -f build/bin/long-test -rm -f build/bin/ppsh +cp -r ../Examples/ecdsa ${TARGET}/ec...
bash
d_bash_4902
--- +++ @@ -3,7 +3,7 @@ cmake six setuptools pip sphinx ipython jupyter \ cython numpy netcdf4 nose paramiko boto graphviz # issue #178 -conda install -y hdf4=4.2.12 +conda install -y hdf4>=4.2.12 lret=$?; if [[ $lret != 0 ]] ; then exit $lret; fi conda install -y -c https://conda.anaconda.org/yungyuc \ g...
bash
d_bash_4903
--- +++ @@ -18,9 +18,6 @@ go get code.google.com/p/go.tools/cmd/vet go get code.google.com/p/go.tools/cmd/goimports -# Grab protobuf package for protoc-gen-go. -go install code.google.com/p/goprotobuf/proto - # Create symlinks to all git hooks in your own .git dir. for f in $(ls -d githooks/*); do rm .git/ho...
bash
d_bash_4904
--- +++ @@ -11,8 +11,8 @@ fi if [ -z "$PACKETS" ]; then - echo "Defaulting to PACKETS=100e6" - export PACKETS=100e6 + echo "Defaulting to PACKETS=10e6" + export PACKETS=10e6 fi if [ -z "$CAPFILE" ]; then
bash
d_bash_4905
--- +++ @@ -22,6 +22,9 @@ configoptions=`echo "$configoptions" |sed 's/--with-openssl//'` configoptions=`echo "$configoptions" |sed 's/--with-mysqli//'` +# Required to build FastCGI interpreter. +configoptions="$configoptions --enable-fastcgi" + echo "--- loaded custom/options-5.1.6.sh ---" echo $configoption...
bash
d_bash_4906
--- +++ @@ -18,3 +18,4 @@ alias la='ls -A' alias ll='ls -alF' alias ls='ls --color=auto' +alias vim='gvim -v'
bash
d_bash_4907
--- +++ @@ -1,2 +1,2 @@ #!/bin/bash -for f in $( find . -name .gitignore ); do sed -re "s,^,find ${f%.gitignore} -name ',; s,$,' | xargs rm -f,;" $f; done | bash -v +for f in $( find . -name .gitignore ); do sed -Ee "s,^,find ${f%.gitignore} -name ',; s,$,' | xargs rm -f,;" $f; done | bash -v
bash
d_bash_4908
--- +++ @@ -32,7 +32,7 @@ # Register the function so it is called whenever the working # directory changes. autoload add-zsh-hook - add-zsh-hook chpwd update_terminal_cwd + add-zsh-hook precmd update_terminal_cwd # Tell the terminal about the initial directory. update_terminal_cwd
bash
d_bash_4909
--- +++ @@ -7,3 +7,4 @@ curl -L -o "bazel-${VERSION}.deb" "https://github.com/bazelbuild/bazel/releases/download/${VERSION}/bazel_${VERSION}-linux-x86_64.deb" sha256sum --check "bazel-${VERSION}.deb.sha256" sudo dpkg "$@" --install "bazel-${VERSION}.deb" +rm "bazel-${VERSION}.deb"
bash
d_bash_4910
--- +++ @@ -9,4 +9,4 @@ -f ceph-mon-v1-dp.yaml \ -f ceph-mon-check-v1-dp.yaml \ -f ceph-osd-v1-ds.yaml \ ---namespace=ceph --validate=false +--namespace=ceph
bash
d_bash_4911
--- +++ @@ -7,7 +7,7 @@ wget -O ${WSDL} "${URI}" fi -rm -rf raw +rm -rf raw weather.pyc weather.py mkdir -p raw touch raw/__init__.py ../../scripts/pyxbgen \
bash
d_bash_4912
--- +++ @@ -17,6 +17,11 @@ fi cd - } +function build_redis_module() +{ + ./build.sh + rm build/CMakeCache.txt # FIXME this shouldn't be necessary +} function start_redis() { ./deps/redis/src/redis-server --loadmodule ./build/libreroaring.so & @@ -28,6 +33,7 @@ function integration() { build_redis +...
bash
d_bash_4913
--- +++ @@ -8,7 +8,7 @@ # action is $1 dashboard_id=${2:?"dashboard id is required as argument \$2"} project_id=${3:?"project id is required as argument \$3"} - output_file=${4:?"output file name is requred as argument \$4"} + output_file=${4:?"output file name is required as argument \$4"} ...
bash
d_bash_4914
--- +++ @@ -8,5 +8,7 @@ ansible-galaxy install goozbach.EPEL ansible-galaxy install geerlingguy.nginx ansible-galaxy install bertvv.mariadb +ansible-galaxy install geerlingguy.repo-remi +ansible-galaxy install geerlingguy.php ansible-playbook --inventory="localhost," -c local /provision/playbook.yml
bash
d_bash_4915
--- +++ @@ -9,4 +9,18 @@ CHANGE_SETS=$(awscli cloudformation list-change-sets --stack-name $SELECTED --query "Summaries[$(filter ChangeSetName $SECOND_RESOURCE)].[ChangeSetName]" --output text) select_one CHANGE-SET "$CHANGE_SETS" -awscli cloudformation describe-change-set --stack-name $STACK --change-set-name "$...
bash
d_bash_4916
--- +++ @@ -9,12 +9,9 @@ sudo add-apt-repository -y 'deb http://build.clusterhq.com/results/omnibus/master/ubuntu-14.04 /' sudo apt-get update -sudo apt-get -y install spl-dkms -sudo apt-get -y install zfs-dkms zfsutils docker.io - # Add ClusterHQ packages # Unauthenticated packages need --force-yes -sudo apt-g...
bash
d_bash_4917
--- +++ @@ -1,10 +1,10 @@ #!/bin/bash sudo kvm -kernel ~/develop/linux/arch/x86/boot/bzImage \ - -append "root=/dev/vda1 rw console=ttyS0 loglevel=8" \ + -append "root=/dev/vda1 rw console=tty0 console=ttyS0 ignore_loglevel" \ + -drive index=0,file=ubuntu.qcow2,if=virtio \ + -drive index=1,file=docker-dm.qcow2,i...
bash
d_bash_4918
--- +++ @@ -13,8 +13,8 @@ -Goverlap=scale -Gsplines=true -Gepsilon=0.0001 - -Tsvg - -o dependency-graph.svg + -Tjpg + -o dependency-graph.jpg dependency-graph.dot "
bash
d_bash_4919
--- +++ @@ -12,7 +12,7 @@ | tr -d '\r' \ | awk -F'/' '/^Location:/{print $NF}' ) -if [[ "$OS_ID" = 'ol' ]] && [[ "${OS_VERSION%%.*}" = '6' ]]; then +if [[ "$OS_ID" = 'ol' && "${OS_VERSION%%.*}" = '6' ]]; then docker_compose_latest=1.9.0 fi curl -L# "https://github.com/docker/compose/releases/download/...
bash
d_bash_4920
--- +++ @@ -1,17 +1,14 @@ #!/bin/bash set -e -NODE_VERSION=8.4.0 -NODE_ARCH=x64 - -# check we need to do this or not - -NODE_DIST=node-v${NODE_VERSION}-linux-${NODE_ARCH} cd /tmp -curl -O -L http://nodejs.org/dist/v${NODE_VERSION}/${NODE_DIST}.tar.gz -tar xvzf ${NODE_DIST}.tar.gz +LINK_NODE8=http://nodejs.org/di...
bash
d_bash_4921
--- +++ @@ -13,6 +13,7 @@ echo "Release version set to ${RELEASE_VERSION}" sed -ri 's/(.*)<version>(.+)<\/version>/\1<version>'${RELEASE_VERSION}'<\/version>/g' ${SRC_DIR}/appinfo/info.xml +uglifyjs js/devel/*.js > js/app.min.js git commit -am "Release "${RELEASE_VERSION} git tag ${RELEASE_VERSION} git push
bash
d_bash_4922
--- +++ @@ -30,6 +30,9 @@ --owner slack-for-linux --repository slack-for-linux \ --only-pulls --use-commit-body -n "$semver" +# DEV: Add trailing newline for linter +echo >> CHANGELOG.md + # Append our CHANGELOG edit to the git commit git add CHANGELOG.md git commit --amend --no-edit
bash
d_bash_4923
--- +++ @@ -5,3 +5,6 @@ # Launcher files rm -f /usr/share/applications/messengerfordesktop.desktop + +# Config files +rm -f -r ~/.config/Messenger
bash
d_bash_4924
--- +++ @@ -5,4 +5,8 @@ echo "Latest URL : $PMS_URL" echo "Version : $PMS_VERSION" DIR="$(cd $( dirname $0) && pwd)" -docker build --build-arg PMS_URL=$PMS_URL -t jaymoulin/rpi-plex $DIR && docker tag jaymoulin/rpi-plex jaymoulin/rpi-plex:$PMS_VERSION +if [ `docker images jaymoulin/rpi-plex:$PMS_VERSION | wc -l` -...
bash
d_bash_4925
--- +++ @@ -6,7 +6,7 @@ README.md LICENSE update.sh check.sh " -sha256sum </dev/null >/dev/null 2>&1 && SHA256=sha256sum || SHA256=gsha256sum +type gsha256sum >/dev/null && SHA256=gsha256sum || SHA256=sha256sum $SHA256 -t $FILES | gpg --clearsign > sha256sums.asc 7z a -tzip -mx=9 asn1js.zip $FILES sha256sums...
bash
d_bash_4926
--- +++ @@ -5,3 +5,4 @@ MASTER_NODE="pi-0" CLUSTER_DEF="${PICLE_HOME}/pi-cluster.txt" USER_HOME_DIR="/srv/nfs/${MASTER_NODE}/home" +UPDATE_DIR="/srv/nfs/${MASTER_NODE}/sys/updates"
bash
d_bash_4927
--- +++ @@ -24,6 +24,7 @@ install_cask postman install_cask slack install_cask vlc +install_cask basictex echo "Installing Quick Look plugins..."
bash
d_bash_4928
--- +++ @@ -1,4 +1,6 @@ set -euf -o pipefail + +carthage bootstrap --platform ios --configuration Release --no-use-binaries gem install xcpretty --no-ri --no-rdoc xcodebuild test -workspace Stripe.xcworkspace -scheme "StripeiOS Tests" -configuration Debug -sdk iphonesimulator -destination 'platform=iOS Simulator...
bash
d_bash_4929
--- +++ @@ -11,5 +11,5 @@ XE_RPM="$(basename "${XE_RPM_BASE_ZIP}" .zip)" unzip -j ${XE_RPM_BASE_ZIP} "Disk1/${XE_RPM}" -sudo rpm --install --nodeps --nopre "${XE_RPM}" +rpm --install --nodeps --nopre "${XE_RPM}"
bash
d_bash_4930
--- +++ @@ -1,22 +1,5 @@ #!/bin/bash -# 'Autobrew' is being used by more and more packages these days -# to grab static libraries from Homebrew bottles. These bottles -# are fetched via Homebrew's --force-bottle option which grabs -# a bottle for the build machine which may not be macOS 10.9. -# Also, we want to u...
bash
d_bash_4931
--- +++ @@ -1,11 +1,11 @@ -#!/bin/bash +#!/bin/bash -e if [ "$CXX" = "g++" ]; then - chmod +x misc/gcc_update.sh - ./misc/gcc_update.sh --version 4.9 + chmod +x misc/travis/cpp/gcc_update.sh + ./misc/travis/cpp/gcc_update.sh --version 4.9 fi if [ "$CXX" = "clang++" ]; then - chmod +x misc/clang_update.sh ...
bash
d_bash_4932
--- +++ @@ -3,7 +3,7 @@ DESTDIR="AccountsClient" git clone https://github.com/Mojang/AccountsClient.git $DESTDIR -pushd $DESTDIR +cd $DESTDIR sed -i "s/testLogging\.showStandardStreams = true//" build.gradle sed -i "s/apply plugin: 'idea'/apply plugin: 'idea'\napply plugin: 'maven'\ngroup = 'com.mojang'/" bui...
bash
d_bash_4933
--- +++ @@ -9,6 +9,8 @@ case $v in bla) echo "Update started" + curl -X POST -kv https://127.0.0.1:8090/api/update/apply + sleep 1s exit 20 ;; *)
bash
d_bash_4934
--- +++ @@ -1,15 +1,15 @@ #!/bin/bash beet_update() { - local path="$HOME/dev/pvt/dotfiles/beets" + local repo_path="$HOME/dev/pvt/dotfiles/beets" docker image build \ --squash \ --pull \ --compress \ --rm \ - --file "$path/Dockerfile" \ - "$path" + --file "$repo_pa...
bash
d_bash_4935
--- +++ @@ -8,7 +8,7 @@ # get source files TEMPDIR=`mktemp -d` -git clone https://github.com/123andy/redcap-plugin-autonotify.git $TEMPDIR +git clone https://github.com/marlycormar/redcap-plugin-autonotify.git $TEMPDIR # copy files to the correct target locations mkdir -p $MYTARGETDIR
bash
d_bash_4936
--- +++ @@ -7,8 +7,14 @@ MONTH=$(date +%m) S3_FILE="${BUCKET_NAME}/${HOSTNAME}/${YEAR}/${MONTH}/jenkins-${TIMESTAMP}.tar.gz" +# create the temporary directory if it doesn't exist +if [[ ~ -d /media/data/tmp ]]; then + sudo mkdir /media/data/tmp + sudo chmod 777 /media/data/tmp +fi + # create temporary tar ...
bash
d_bash_4937
--- +++ @@ -1,7 +1,3 @@ #!/bin/bash -export DOCKERHOST=$(route -n | grep 'UG[ \t]' | awk '{print $2}') -echo Found Docker host: $DOCKERHOST -export MONGO_HOST=$DOCKERHOST -export CONCIERGE_URL=http:\/\/$DOCKERHOST:9081/concierge /opt/ibm/wlp/bin/server run defaultServer
bash
d_bash_4938
--- +++ @@ -1,4 +1,4 @@ #!/bin/sh scp $CIRCLE_ARTIFACTS/zoomhub root@104.130.230.137:/var/apps/zoomhub -scp $CIRCLE_ARTIFACTS/public root@104.130.230.137:/var/apps/zoomhub +scp -r $CIRCLE_ARTIFACTS/public root@104.130.230.137:/var/apps/zoomhub
bash
d_bash_4939
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env bash -gulp package --env=production && electron-packager . Zazu --platform=darwin --arch=x64 --version=1.0.1 --overwrite \ +gulp package --env=production && electron-packager . Zazu --platform=darwin --arch=x64 --version=1.3.0 --overwrite \ --ignore="node_modules|scripts...
bash
d_bash_4940
--- +++ @@ -11,7 +11,7 @@ echo "https://${GH_TOKEN}:@github.com" > .git/credentials echo "Install python deps for building comments." -pip3 install requests pyyaml cryptography langdetect pathlib2 +python3 -m pip install requests pyyaml cryptography langdetect pathlib2 echo "Build static comments if there are ...
bash
d_bash_4941
--- +++ @@ -9,4 +9,4 @@ TESTS="$TESTS wrappers/`basename $i`" done -exec gtester "$@" $TESTS +G_DEBUG=gc-friendly MALLOC_CHECK_=2 MALLOC_PERTURB_=$((${RANDOM:-256} % 256)) gtester "$@" $TESTS
bash
d_bash_4942
--- +++ @@ -3,6 +3,6 @@ echo "Sending coverage info" lcov --directory . --capture --output-file coverage.info && -lcov --remove coverage.info '/usr/*' --output-file coverage.info && +lcov --remove coverage.info '/usr/*' 'test/*' 'benchmarks/*' 'examples/*' --output-file coverage.info && lcov --list coverage.info...
bash
d_bash_4943
--- +++ @@ -3,6 +3,10 @@ # set osx defaults echo "[i] Set OS X defaults" ./osx + +# install Command Line Tools +echo "[i] Install Command Line Tools" +xcode-select --install # install homwbrew echo "[i] Install Homebrew" @@ -32,10 +36,6 @@ ln -s ~/.dotfiles/vimrc ~/.vimrc ln -s ~/.dotfiles/curlrc ~/.curlrc ...
bash
d_bash_4944
--- +++ @@ -9,7 +9,7 @@ git config --global user.name "Chris Thomson" git config --global user.email "chris.thomson@shopify.com" - sudo apt-get install -y cloc ctags fzf silversearcher-ag tree + sudo apt-get install -y cloc ctags fzf silversearcher-ag tree libterm-readkey-perl fi if [ $OSX ]; then
bash
d_bash_4945
--- +++ @@ -14,7 +14,13 @@ *) cmake_build_type=Release ;; esac +delete_install_targets() { + p_run find "$p_build_dir" -name "*-install" -delete +} + pkg_install_host() { + delete_install_targets + p_run cmake -G"$cmake_generator" \ -DCMAKE_BUILD_TYPE="$cmake_build_type" \ -DCMAK...
bash
d_bash_4946
--- +++ @@ -1,31 +1,5 @@ #!/bin/bash -# This script was tested with 4.7.6 so get that by default -unifiversion=$(mdata-get unifi:version || echo '5.0.7') - -pushd /tmp -wget http://dl.ubnt.com/unifi/${unifiversion}/UniFi.unix.zip -popd -pushd /opt/local -unzip /tmp/UniFi.unix.zip - -# Fix the symlink to mongod -rm...
bash
d_bash_4947
--- +++ @@ -1,21 +1,23 @@ #!/usr/bin/env sh ARGS= -TERM_TEST=no -COLOR=256color +COLOR= for arg in $*; do case $arg in - 256) COLOR=256color ;; - 88) COLOR=88color ;; - 16) COLOR=16color ;; - *) - [ "$arg" = '-nw' ] && TERM_TEST=yes - ARGS="$ARGS $arg" - ;; + 256|-nw) COLOR=256col...
bash
d_bash_4948
--- +++ @@ -24,6 +24,7 @@ pip install -r requirements.txt || return 1; pip uninstall -y taxbrain_server &> /dev/null; python setup.py develop || return 1; + rm -rf taxbrain_server/logs mkdir taxbrain_server/logs || return 1; return 0; }
bash
d_bash_4949
--- +++ @@ -16,7 +16,7 @@ popd # install LAMMPS python wrapper pushd mylammps/python -sudo python install.py /usr/lib/ $VIRTUAL_ENV/lib/python2.7/site-packages/ +sudo python install.py $VIRTUAL_ENV/lib/python2.7/site-packages/ popd python check_lammps_python.py
bash
d_bash_4950
--- +++ @@ -13,8 +13,8 @@ fi cd rd_tool -#DAALA_ROOT=../daala python3 -u rd_tool.py -machines 14 -awsgroup "AOM" -codec $CODEC $QUALITY_OPTS -prefix "../runs/$2/$3" "$3" -DAALA_ROOT=../daala python3 -u rd_tool.py -machineconf localhost.json -codec $CODEC $QUALITY_OPTS -prefix "../runs/$2/$3" -bindir "../runs/$2/x...
bash
d_bash_4951
--- +++ @@ -1,9 +1,9 @@ #!/usr/bin/env bash if [ "$script_type" == "up" ]; then - route add -host $remote_1/32 gw $route_net_gateway - route add -net 0.0.0.0/1 gw $route_vpn_gateway - route add -net 128.0.0.0/1 gw $route_vpn_gateway + #route add -host $remote_1/32 gw $route_net_gateway + #route add -net 0.0....
bash
d_bash_4952
--- +++ @@ -31,6 +31,8 @@ if retry rustup component add clippy ; then cargo clippy --all --tests --features serde,rayon,bumpalo -- -D clippy::all -D clippy::pedantic + cargo clippy --all --tests --features raw -- -D clippy::all -D clippy::pedantic \ + -A clippy::missing_safety_docs -A clippy::missin...
bash
d_bash_4953
--- +++ @@ -16,7 +16,7 @@ wait_for_postgres() { echo "Waiting for postgres to start..." - until nc -z "${DJANGO_DB_HOST}" -p "${DJANGO_DB_PORT}" + until nc -z "${DJANGO_DB_HOST}" "${DJANGO_DB_PORT}" do sleep 2 done
bash
d_bash_4954
--- +++ @@ -3,6 +3,10 @@ # go to root cd `dirname $0` cd .. + +# switch branch +git checkout aws-dist +git merge master --no-edit # build and test rm -rf node_modules/ @@ -23,3 +27,6 @@ # push to aws git aws.push + +# switch back to master branch +git checkout master
bash
d_bash_4955
--- +++ @@ -3,6 +3,6 @@ IP=`curl -s ifconfig.me` -trap "aws ec2 revoke-security-group-ingress --group-id ${SECURITY_GROUP_ID} --protocol tcp --port 22 --cidr ${IP}/32" 0 1 2 3 15 -aws ec2 authorize-security-group-ingress --group-id ${SECURITY_GROUP_ID} --protocol tcp --port 22 --cidr ${IP}/32 +trap "aws ec2 revo...
bash
d_bash_4956
--- +++ @@ -1,5 +1,3 @@ #!/bin/sh echo "boot2docker: $(cat /etc/version)" -echo "docker: $(docker version)" -echo "lxc: $(lxc-version)"
bash
d_bash_4957
--- +++ @@ -6,14 +6,30 @@ # We use `--privileged` for cgroup compatability, which seems to be enabled by default in HTCondor 8.6.x if [ "${OS_VERSION}" = "6" ]; then - sudo docker run --privileged --rm=true -v /sys/fs/cgroup:/sys/fs/cgroup -v `pwd`:/osg-test:rw centos:centos${OS_VERSION} /bin/bash -c "bash -xe...
bash
d_bash_4958
--- +++ @@ -3,7 +3,7 @@ # Add PYENV and base Python versions su - vagrant -c "curl -L https://raw.githubusercontent.com/yyuu/pyenv-installer/master/bin/pyenv-installer | bash" su - vagrant -c "pyenv install 3.4.3" -su - vagrant -c "pyenv install 2.7.9" +# su - vagrant -c "pyenv install 2.7.9" # Create VirtualEn...
bash
d_bash_4959
--- +++ @@ -6,12 +6,23 @@ archive="$archive_location/$archive_name" gpg_key='2C3CF0C7' tar_program='/usr/bin/tar' +temp_dir="$(mktemp -d /tmp/dot-mozilla-XXXXXXXXX)" clean() { rm -f "$archive" + rm -rf "$temp_dir" } trap clean EXIT SIGINT SIGTERM -"$tar_program" -cJf "$archive" ~/.mozilla +# Copy all fi...
bash
d_bash_4960
--- +++ @@ -1,9 +1,8 @@ #!/bin/bash mkdir -p ../build || exit +cd ../build -cd ../build cmake .. -make -sudo make install +make && sudo make install
bash
d_bash_4961
--- +++ @@ -7,3 +7,6 @@ if [[ "$DRONE" == "true" ]]; then sed -i.bak "s/number: 0/number: ${DRONE_BUILD_NUMBER}/" conda-recipe/meta.yaml fi +for f in deploy/*.nbconvert.ipynb; do + mv $f ${f%.nbconvert.ipynb}.ipynb +done
bash
d_bash_4962
--- +++ @@ -4,12 +4,12 @@ if [[ ${cur_dir} != "RelWithDebInfo" ]] then - echo "Going to build folder" + echo "Going to build folder (aka build/Linux/RelWithDebInfo)" cd build/Linux/RelWithDebInfo fi echo "Exporting PYTHONPATH to use build dir as onnxruntime package" -export PYTHONPATH=/home/thiagof...
bash
d_bash_4963
--- +++ @@ -10,7 +10,7 @@ LINES=`synaptiko-browser-profile-runner-rofi | wc -l` ITEM=`synaptiko-browser-profile-runner-rofi | wofi --cache-file=$HOME/.cache/wofi-browsers --dmenu --width=200 --lines=$LINES` if [ $? == 0 ]; then - synaptiko-browser-profile-runner-rofi $ITEM + synaptiko-browser-profile-runner-r...
bash
d_bash_4964
--- +++ @@ -1,3 +1,6 @@ +CURRENT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )" +source "$CURRENT_DIR/plugin_functions.sh" + reload_tmux_environment() { - tmux source-file ~/.tmux.conf >/dev/null 2>&1 + tmux source-file $(_get_user_tmux_conf) >/dev/null 2>&1 }
bash
d_bash_4965
--- +++ @@ -9,4 +9,4 @@ umount -lR $i done -exec /usr/local/bin/origin-node-run.sh +exec /usr/local/bin/openshift-node
bash
d_bash_4966
--- +++ @@ -1,6 +1,7 @@ #!/bin/bash -xve #required requests for security +apt install -y openssl-devel python-devel libffi-devel pip install requests[security] #required packages
bash
d_bash_4967
--- +++ @@ -1 +1,6 @@ GIT=https://github.com/redox-os/extrautils.git +BUILD_DEPENDS=xz +export PKG_CONFIG_ALLOW_CROSS=1 +export PKG_CONFIG_PATH= +export PKG_CONFIG_LIBDIR="$PWD/sysroot/lib/pkgconfig" +export PKG_CONFIG_SYSROOT_DIR="$PWD/sysroot"
bash
d_bash_4968
--- +++ @@ -1,8 +1,5 @@ -#!/usr/bin/env bash +#!/usr/bin/env sh -pushd autoload +cd autoload python setup.py build -pushd build/lib* -cp fuzzycomt.so ../../ -popd -popd +cp build/lib*/fuzzycomt.so .
bash
d_bash_4969
--- +++ @@ -12,7 +12,7 @@ echo "https://github.com/AdoptOpenJDK/openjdk12-binaries/releases/download/jdk-12.0.2%2B10/OpenJDK12U-jdk_x64_linux_hotspot_12.0.2_10.tar.gz" ;; java13) - echo "https://github.com/AdoptOpenJDK/openjdk13-binaries/releases/download/jdk13u-2019-08-20-18-50/OpenJDK13U-jdk_x64_linux_hot...
bash
d_bash_4970
--- +++ @@ -10,10 +10,10 @@ exit 1 fi # -- Creating TMS -#fcontrast=$rgbname_img".contrast" +fcontrast=$rgbname_img".contrast" 16b_2_8b_convert.sh $rgbname_img > /dev/null -#gdal_contrast_stretch -ndv 0 -outndv 0 -percentile-range 0.02 0.98 $rgbname_img $fcontrast > /dev/null -#mv -f $fcontrast $rgbname_img +...
bash
d_bash_4971
--- +++ @@ -38,7 +38,7 @@ chmod +x $buildFile # Cleanup - if test ! -d $tempFolder; then + if test -d $tempFolder; then rm -rf $tempFolder fi fi
bash
d_bash_4972
--- +++ @@ -1,8 +1,8 @@ #cmd line tools brew install redis brew install wget -python -python3 +brew install python +brew install python3 #install cask brew install caskroom/cask/brew-cask
bash
d_bash_4973
--- +++ @@ -1,14 +1,14 @@ PLATFORM=`uname` -if [ $PLATFORM == "Darwin" ] +if [ "$PLATFORM" = "Darwin" ] then - if [ "$(locate mac-tick-processor)" == "" ] + if [ -z "$(locate mac-tick-processor)" ] then echo "Couldn't find mac-tick-processor" exit 1 fi -elif [ $PLATFORM == "Li...
bash
d_bash_4974
--- +++ @@ -1,8 +1,8 @@ #!/usr/bin/bash -x # VirtualBox Guest Additions -# https://wiki.archlinux.org/index.php/VirtualBox -/usr/bin/pacman -S --noconfirm linux-headers virtualbox-guest-utils virtualbox-guest-modules-arch nfs-utils +# https://wiki.archlinux.org/index.php/VirtualBox/Install_Arch_Linux_as_a_guest +...
bash
d_bash_4975
--- +++ @@ -1,4 +1,4 @@ #!/bin/bash -docker build -t dws_db_local ../dws/db/ +docker build -t dws_db ../dws/db/ docker rm -f dws_db_local -docker run -d -p 5432:5432 --name dws_db_local dws_db_local +docker run -d -p 5432:5432 --name dws_db_local dws_db
bash
d_bash_4976
--- +++ @@ -11,16 +11,4 @@ if [[ -n "$VENVWRAPPERSH" && -z "$WORKON_HOME" ]]; then export WORKON_HOME="$HOME/.virtualenvs" source "$VENVWRAPPERSH" - - # This is a hack for virtualenv on Windows under MSYS. The virtualenv activate code will only install - # `activate' (not the .bat) if it detects Cygwin by lo...
bash
d_bash_4977
--- +++ @@ -4,5 +4,9 @@ # Launch auto updater if [[ ! -z "${NBSEARCHDB_AUTO_UPDATE}" ]] ; then - lsyncd /opt/nbsearch/update-index.lua + if [ $(id -u) == 0 ] ; then + sudo -E -u $NB_USER lsyncd /opt/nbsearch/update-index.lua + else + lsyncd /opt/nbsearch/update-index.lua + fi fi
bash
d_bash_4978
--- +++ @@ -1,4 +1,6 @@ #!/usr/bin/env bash +set -e + USAGE="Usage: `basename $0` options -d to debug, -k to keep the docker containers at the end of the tests."; ANSIBLE_OPTION="" MOCLECULE_OPTION=""
bash
d_bash_4979
--- +++ @@ -7,6 +7,7 @@ declare -a OSes OSes[0]='linux;x86_64-linux-gnu-gcc' OSes[1]='windows;x86_64-w64-mingw32-gcc' +mkdir dist for i in "${OSes[@]}"; do arr=(${i//;/ }) @@ -16,5 +17,5 @@ echo -e "\nBuilding $os..." echo GOOS=$os GOARCH=amd64 CC=$cc CGO_ENABLED=1 go build -v GOOS=$os GOARCH=amd64 CC=$...
bash
d_bash_4980
--- +++ @@ -4,4 +4,8 @@ version=0.1 scriptDir=$(dirname $0) $scriptDir/get_deps.sh -java -XX:+UseCompressedOops -Xmx2g -cp $scriptDir/lib/tercom-0.7.26.jar:$scriptDir/lib/meteor-1.2/meteor-1.2.jar:$scriptDir/multeval-${version}.jar multeval.MultEval $@ + +# Specify -Dfile.encoding so that the meteor paraphrase tab...
bash
d_bash_4981
--- +++ @@ -8,6 +8,7 @@ alias rm='nocorrect rm' alias rvmnew='rvm --create --ruby-version' alias rvmc='rvm current' +alias rvmempty='rvm --force gemset empty' # ======================================================= # Override the basic aliases if we have GNU coreutils available
bash
d_bash_4982
--- +++ @@ -9,14 +9,24 @@ git pull >> $log # Update NMIS data and run csv2json if needed -cd /home/ubuntu/srv/nmis_ui_data_2ef92c15 +csv2json=`ps aux | grep "python csv2json.py" | wc -l` +if [ $csv2json -eq 1 ]; then + cd /home/ubuntu/srv/nmis_ui_data_2ef92c15 + git_result=`git pull | grep "^Already up-to...
bash
d_bash_4983
--- +++ @@ -11,5 +11,3 @@ docker build -t praekelt/mama-ng-smpp $INSTALLDIR/$REPO/docker-vms/smpp_transport docker build -t praekelt/mama-ng-static-reply $INSTALLDIR/$REPO/docker-vms/static_reply_app docker build -t praekelt/mama-ng-vumi-api $INSTALLDIR/$REPO/docker-vms/http_api - -docker-compose up -d
bash
d_bash_4984
--- +++ @@ -15,6 +15,7 @@ -D USE_EXTERNAL_EXR=ON \ -D USE_EXTERNAL_PNG=ON \ -D USE_EXTERNAL_XERCES=ON \ + -D CMAKE_BUILD_TYPE=Debug \ -D CMAKE_INSTALL_PREFIX=./travis_install \ .
bash
d_bash_4985
--- +++ @@ -1,8 +1,7 @@ # Configure repositories yum -y install epel-release -yum -y install https://repos.fedorapeople.org/repos/openstack/EOL/openstack-juno/rdo-release-juno-1.noarch.rpm -sed -i 's,openstack/openstack-juno,openstack/EOL/openstack-juno,' /etc/yum.repos.d/rdo-release.repo yum -y install http://ope...
bash
d_bash_4986
--- +++ @@ -20,6 +20,6 @@ scp $DUMP_FILE root@luna344:$DUMP_FILE_TEST echo "Copy complete" -# Remove files older than 7 days -find database -type f -mtime +6 -exec rm {} \; +# Remove files older than 5 days +find database -type f -mtime +4 -exec rm {} \;
bash
d_bash_4987
--- +++ @@ -12,8 +12,7 @@ then if [[ $TRAVIS_BRANCH =~ ^develop(-patch.*)?$ ]] || [[ $TRAVIS_EVENT_TYPE == "cron" ]] || [[ $TRAVIS_EVENT_TYPE == "api" ]] then - - isSameADFSha=$(node $BUILD_PIPELINE_DIR/adf-same-commit-verify.js --token=$TOKEN --head=$BRANCH_TO_CREATE --repo=$NAME_REPO --commit=$COM...
bash
d_bash_4988
--- +++ @@ -18,7 +18,3 @@ alias gs='git status -sb' # upgrade your git if -sb breaks for you. it's fun. alias grm="git status | grep deleted | awk '{\$1=\$2=\"\"; print \$0}' | \ perl -pe 's/^[ \t]*//' | sed 's/ /\\\\ /g' | xargs git rm" - -# p8 his aliases -hist = log --pretty=format:\"%h %ad | %s%d [%...
bash
d_bash_4989
--- +++ @@ -3,12 +3,12 @@ if [[ "$ORIGINAL_CONTEXT" != "kind-service-cluster" ]]; then kubectl config use-context kind-service-cluster fi -export KEYCLOAK_URL=$(kubectl get po -l istio=ingressgateway -n istio-system -o jsonpath="{.items[0].status.hostIP}"):$(kubectl get service keycloak -o jsonpath="{.spec.ports[...
bash
d_bash_4990
--- +++ @@ -13,13 +13,12 @@ echo "Resetting..." cd /fabmo/engine git reset --hard HEAD -echo "Fetching tags..." -git fetch origin --tags + echo "Checking out master..." git checkout master -echo "Fetching master branch..." -git fetch +echo "Fetching master branch and tags..." +git fetch origin --tags echo "...
bash
d_bash_4991
--- +++ @@ -2,6 +2,8 @@ touch .bash_history ARGS="--tty --interactive --rm --privileged -e DEBUG"; +ARGS="$ARGS -e TASKCLUSTER_CLIENT_ID -e TASKCLUSTER_ACCESS_TOKEN -e TASKCLUSTER_CERTIFICATE"; +ARGS="$ARGS -e PULSE_USERNAME -e PULSE_PASSWORD"; ARGS="$ARGS -v `pwd`/.bash_history:/root/.bash_history"; ARGS="$ARG...
bash
d_bash_4992
--- +++ @@ -11,14 +11,14 @@ compile linux arm compile darwin 386 compile darwin amd64 -#compile windows 386 .exe -#compile windows amd64 .exe +compile windows 386 .exe +compile windows amd64 .exe maketar linux 386 maketar linux amd64 maketar linux arm makezip darwin 386 makezip darwin amd64 ...
bash
d_bash_4993
--- +++ @@ -1,12 +1,15 @@ #!/bin/bash -x=`/usr/bin/osascript <<EOT +button=`/usr/bin/osascript <<EOT tell application "Finder" activate - set myReply to button returned of (display dialog "Generate code coverage report?") + set dialogText to "Generate code coverage report?" + set cancelText to "Cancel" + set...
bash
d_bash_4994
--- +++ @@ -7,9 +7,11 @@ CommandValidatorTestUtil(){ writeBashFile(){ local content=( - "@class\nTest(){\n\t@ignore\n\talpha(){\n\t\techo\n\t}" - "\n\n\t@private\n\tbeta(){\n\t\techo\n\t}" - "\n\n\t@test\n\tkappa(){\n\t\techo\n\t}\n\n\t\$@\n}" + "@class\nTest(){\n\t@description\n\talpha(){\n\t\techo\n\t...
bash
d_bash_4995
--- +++ @@ -1,4 +1,4 @@ #!/usr/bin/env bash docker run --rm -e ZULIP_CLI_TOKEN -v ~/.config:/home/akvo/.config -v "$(pwd)":/app \ - -it akvo/akvo-devops:20200513.082032.37c61a6 promote-test-to-prod.sh rsr rsr-version akvo-rsr zulip + -it akvo/akvo-devops:20200617.141037.610c18f promote-test-to-prod.sh rsr rsr-v...
bash
d_bash_4996
--- +++ @@ -17,5 +17,4 @@ docker-php-ext-configure gd --enable-gd-native-ttf --with-jpeg-dir=/usr/lib/x86_64-linux-gnu --with-png-dir=/usr/lib/x86_64-linux-gnu --with-freetype-dir=/usr/lib/x86_64-linux-gnu docker-php-ext-install gd docker-php-ext-install mcrypt -docker-php-ext-install mbstring docker-php-ext-inst...
bash
d_bash_4997
--- +++ @@ -5,7 +5,6 @@ # handy keybindings bindkey "^A" beginning-of-line -bindkey "^B" beginning-of-line # to use in tmux bindkey "^E" end-of-line bindkey "^R" history-incremental-search-backward bindkey "^P" history-search-backward
bash
d_bash_4998
--- +++ @@ -1,6 +1,6 @@ #!/bin/bash set -x -mysql -h cairis-mysql --user=root < createdb.sql +mysql -h cairis-mysql --user=root --password=my-secret-pw < createdb.sql mysql -h cairis-mysql --user=cairisuser --password=cairisuser --database=cairis_default < $CAIRIS_SRC/sql/init.sql mysql -h cairis-mysql --user=cai...
bash
d_bash_4999
--- +++ @@ -3,9 +3,6 @@ pkgin up pkgin in clamav -gsed -i'.bak' '/^Example/s/Example/#Example/' freshclam.conf clamd.conf -git diff freshclam.conf clamd.conf -gsed -i'.bak2' '/^#DatabaseMirror/s/XY/us/' freshclam.conf -git diff freshclam.conf clamd.conf -gsed -i'.bak3' '/^#DatabaseMirror/s/#//' freshclam.conf -gi...
bash